package com.bonus.hn.bearing.capacity.backstage.select.service;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.ProjectManagerBean;
import com.bonus.hn.bearing.capacity.backstage.select.entity.DataDictBean;
import com.bonus.hn.bearing.capacity.backstage.select.entity.SelectBean;

import java.util.List;

/**
 * 包名称：com.bonus.hn.bearing.capacity.backstage.companypro.service
 * 类名称：ProjectManagerService
 * 类描述：
 * 创建人：@author xxxxxx
 * 创建时间：2023年11月06日 16:26
 */
public interface SelectService {
    List<ProjectManagerBean> getProjectManagementTeamsList(ProjectManagerBean o);

    List<DataDictBean>getDataDictByDickVal(DataDictBean orgType);

    List<SelectBean> getStandardTeamTypeForSubTeamId(SelectBean o);

    List<SelectBean> getSub(SelectBean o);

    List<SelectBean> getStandardTeamType(SelectBean o);

    List<SelectBean> getStrandTeamType(SelectBean o);

    List<SelectBean> getAnnouncementType(SelectBean o);

    List<SelectBean> getReleaseData(SelectBean o);

    List<SelectBean> getProcessEquipment(SelectBean o);

    List<SelectBean> getProcessEquipments(SelectBean o);
}
